/**
 * 这是协销用户业务的服务
 */
export default class SellerService {
	constructor(AjaxService) {
		Object.assign(this, { AjaxService })
		this.name = 'SellerService'
	}
	/**
	 *@协销-二手下单商品列表
	 *@param 二手商品分类 secondHandType	1二手仪器，2临期产品，3其他  【必传】
	 *@param 二手仪器分类的类型 instrumentType	1轻光电、2重光电、3耗材配件【不传默认全部】
	 *@param 搜索关键词 searchKeyword	【选传】 
	 */
	GetOrderSecondHandProductList (data = {}) {
		return this.AjaxService.get({ url:'/product/getOrderSecondHandProductList', data, isLoading: true })
	}
	/**
	 *@协销-二手去结算接口
	 *@param productId：商品ID（数字类型，必传）
	 *@param clubId：机构会所ID(同之前)
	 *@param serviceProviderId：协销ID(同之前)
	 *@param productCount:二手购买数量 
	 */
	GetSettlementBySencondProduct (data = {}) {
		return this.AjaxService.post({ url:'/seller/settlementBySencondProduct', data, isLoading: true })
	}
	ProductDetail (data={}){//商品详情
		return this.AjaxService.get({ url:'/product/getSecondHandProductDetail', data, isLoading: true })
	}
	ProductRecommend (data={}){//相关推荐
		return this.AjaxService.get({ url:'/product/getSecondHandProductRecommend', data, isLoading: true })
	}
}
